API Reference - GET /codelist/militarystatuscodes
Page content
The MilitaryStatusCodes endpoint returns a list of Military Status values and the corresponding codes.
Resource
GET /api/codelist/militarystatuscodes
Authorization
No authorization required
Query Parameters
| Name | Description |
|---|---|
| lastmodified | Only return items modified on or after the date supplied. This is an optional field. |
Response
JSON:
{
"CodeList": [{
"ValidValue": [{
"Code": "2",
"Value": "5-point preference based on active duty in the U.S. Armed Forces (TP)",
"LastModified": "2018-07-27T06:56:05.307",
"IsDisabled": "No"
}],
"id": "MilitaryStatusCode"
}],
"DateGenerated": "2018-08-02T14:11:20.9282358-04:00"
}
| Name | Type | Description |
|---|---|---|
| Code | String | Military Status code |
| Value | String | Military Status value |
| LastModified | Date | Date value or code was last modified |
| IsDisabled | String | Has the Military Status Code been disabled. Values are Yes or No. |
| DateGenerated | Date | Date of request |
An official website of the United States Government